Issues

ZF-2541: Missing require_once before throw exceptions in Zend_Loader_PluginLoader.

Issue Type: Bug Created: 2008-01-31T17:32:58.000+0000 Last Updated: 2009-01-12T01:48:35.000+0000 Status: Resolved Fix version(s): - 1.7.0 (17/Nov/08)

Reporter: Hinikato Dubrai (hinikato) Assignee: Wil Sinclair (wil) Tags: - Zend_Loader

Related issues: Attachments:

Description

Class Zend_Loader_PluginLoader. Missing require_once in lines 220-222:

<pre class="highlight">  
if ($pos === null) {
    throw new Zend_Loader_PluginLoader_Exception('Prefix ' . $prefix . ' / Path ' . $path . ' was not found in the PluginLoader.');
}

and lines 315-317:

<pre class="highlight">
if (!class_exists($className, false)) {
    throw new Zend_Loader_PluginLoader_Exception('File ' . $classFile . ' was loaded but class named ' . $className . ' was not found within it.');
}

This implies autoload feature, but many peoples do not has it.

Comments

Posted by Amr Mostafa (alienbrain) on 2008-02-07T10:59:03.000+0000

I had the same problem. I don't think it's assuming autoload feature though, as it uses require_once normally through the rest of the file, so this is clearly a missing require_once.

Posted by Benjamin Eberlei (beberlei) on 2008-11-07T03:48:26.000+0000

This has magically been fixed. Probably by matthew.

Posted by Wil Sinclair (wil) on 2008-11-13T14:10:12.000+0000

Changing issues in preparation for the 1.7.0 release.

Posted by Ota Mares (ota) on 2009-01-12T01:47:39.000+0000

Is this simple bug already fixed?

Posted by Ota Mares (ota) on 2009-01-12T01:48:35.000+0000

Duh, posted in the wrong issue. Yay me!

Have you found an issue?

See the Overview section for more details.

Copyright

© 2006-2016 by Zend, a Rogue Wave Company. Made with by awesome contributors.

This website is built using zend-expressive and it runs on PHP 7.

Contacts